function [Kr,a]=Dis_PID(pd1_real,pd1_imaginario,T,K1K2,angulo_polo1,angulo_polo2,angulo_cero,Ganancia_Controlador,Cero_Controlador)
if 0 >= pd1_real
        alpha_0=(pi-atan(abs(pd1_imaginario)/abs(0-pd1_real)))*180/pi; %Si está a la izquierda de los polos deseados
    else
        alpha_0=(atan(abs(pd1_imaginario)/abs(0-pd1_real)))*180/pi;%Si está a la derecha de los polos deseados 
end

alpha_0=round(alpha_0,2);
if 1/T>= -pd1_real
         alpha_1=(atan(abs(pd1_imaginario)/abs(1/T+pd1_real)))*180/pi; %Si está a la izquierda de los polos deseados
    else
        alpha_1=(pi-atan(abs(pd1_imaginario)/abs(-1/T-pd1_real)))*180/pi;%Si está a la derecha de los polos deseados 
end
alpha_1=round(alpha_1,2);

beta_a=abs(-180+(alpha_0+alpha_1));
beta_a=round(beta_a,2);

a=abs(-pd1_real)+pd1_imaginario/tan(beta_a*pi/180);

a=round(a,2);

Kr=sqrt(pd1_imaginario^2+(0-pd1_real)^2)*sqrt(pd1_imaginario^2+(1/T+pd1_real)^2)/((K1K2/T)*sqrt(pd1_imaginario^2+(a+pd1_real)^2));

Kr=round(Kr,6);
%R=tf([Kr -Kr*a],1);

if (angulo_polo1-0.2)<alpha_0 && alpha_0<(angulo_polo1+0.2)%abs((angulo_polo1 - alpha_0) / alpha_0) * 100< 1 
    disp('Ángulo polo 1 correcto!')
else
    disp('Ángulo polo 1 incorrecto!')
end
if (angulo_polo2-0.2)<alpha_1 && alpha_1<(angulo_polo2+0.2)%abs((angulo_polo2 - alpha_1) / alpha_1) * 100< 1 
    disp('Ángulo polo 2 correcto!')
else
    disp('Ángulo polo 2 incorrecto!')
end
if (angulo_cero-0.2)<beta_a && beta_a<(angulo_cero+0.2)%abs((angulo_cero - beta_a) / beta_a) * 100< 1 
    disp('Ángulo cero correcto!')
else
    disp('Ángulo cero incorrecto!')
end
if (Cero_Controlador-0.2)<-a && -a<(Cero_Controlador+0.2)  %abs((Cero_Controlador - a) / a) * 100< 1
    disp('Posición del cero correcto!')
else
    disp('Posición del cero incorrecto!')
end

if (Ganancia_Controlador-0.2)<Kr && Kr<(Ganancia_Controlador+0.2) %abs((Ganancia_Controlador - Kr) / Kr) * 100< 10
    disp('Ganancia controlador correcto!')
else
    disp('Ganancia controlador incorrecto!')
end
